everything worked fine untill i tried DNF UPDATE and than

asked 2018-03-12 18:50:18 +0000

after executing DNF UPDATE for some reason to deploying a SIP Server for testing (security ) purpose

now the system unable to install or update any application in the FEDORA 27 WS

whatever app i tried to install returns a failed result by showing messages like below (one exmaple)

Error: Transaction check error: file /usr/share/doc/glibc/NEWS from install of glibc-2.26-26.fc27.i686 conflicts with file from package glibc-2.26-24.fc27.x86_64

too many conflicts with different packages

n.b : i tried dnf update --best --allowerasing and rpm --rebuilddb as well as dnf repolist and disabled the update-testing

but not worked

any idea that can resolve the issue

edit retag flag offensive close merge delete


Delete packages that below to the i686 architecture. Then update.

florian ( 2018-03-12 19:35:11 +0000 )edit

I think that might be possible if there are few package conflict but in my case there are dozens of packages which showing conflicts

I tried to go with report but it shows warning that it may remove DNF , SYSTEMD AND SYSTEMD DEVEL too

Full count of conflict is 153 packages conflict

And dont know why kernel header and devel package is upgraded to 4.16 and rest remained to 4.15

One option is there to deploy the sysyem with a fresh installation but i Wish if theres a way to bring it back to working mode without reinstallation the whole OS

nisankh ( 2018-03-13 05:38:09 +0000 )edit

There are no version 4.16 of kernel-headers in the fedora 27 repositories:

$ dnf list --showduplicates --enablerepo=updates-testing kernel-headers
Last metadata expiration check: 0:01:59 ago on Tue 13 Mar 2018 07:56:32 CET.
Installed Packages
kernel-headers.x86_64  4.15.7-300.fc27  @updates       
Available Packages
kernel-headers.x86_64  4.13.9-300.fc27  fedora         
kernel-headers.x86_64  4.15.7-300.fc27  @updates       
kernel-headers.x86_64  4.15.7-300.fc27  updates        
kernel-headers.x86_64  4.15.8-300.fc27  updates-testing
villykruse ( 2018-03-13 07:02:33 +0000 )edit

summarized issues is this

  1. too many packages conflict after the update
  2. In Fedora 27 WS how it got the Fedora rawhide kernel 4.16 updates
  3. unable to add/remove the package

look here the screen shoot

the very first time when i tried to update


and the present scenario is this if i do use dnf update this happens

present scenarion

and the other things that happening details

nisankh ( 2018-03-13 08:31:30 +0000 )edit